define(["require", "exports", "tslib", "react", "../../Utilities", "../../Icon", "./Persona.Props", "./Persona.scss"], function (require, exports, tslib_1, React, Utilities_1, Icon_1, Persona_Props_1, stylesImport) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var styles = stylesImport;
    var PersonaPresence = (function (_super) {
        tslib_1.__extends(PersonaPresence, _super);
        function PersonaPresence(props) {
            return _super.call(this, props) || this;
        }
        PersonaPresence.prototype.render = function () {
            var presence = this.props.presence;
            if (presence === Persona_Props_1.PersonaPresence.none) {
                return null;
            }
            return (React.createElement("div", { className: Utilities_1.css('ms-Persona-presence', styles.presence) },
                React.createElement(Icon_1.Icon, { className: Utilities_1.css('ms-Persona-presenceIcon', styles.presenceIcon), iconName: this._determineIcon() })));
        };
        PersonaPresence.prototype._determineIcon = function () {
            var presence = this.props.presence;
            if (presence !== Persona_Props_1.PersonaPresence.none) {
                var userPresence = Persona_Props_1.PersonaPresence[presence];
                switch (userPresence) {
                    case 'online':
                        userPresence = 'SkypeCheck';
                        break;
                    case 'away':
                        userPresence = 'SkypeClock';
                        break;
                    case 'dnd':
                        userPresence = 'SkypeMinus';
                        break;
                    default:
                        userPresence = '';
                }
                return userPresence;
            }
        };
        tslib_1.__decorate([
            Utilities_1.autobind
        ], PersonaPresence.prototype, "_determineIcon", null);
        return PersonaPresence;
    }(React.Component));
    exports.PersonaPresence = PersonaPresence;
});
//# sourceMappingURL=PersonaPresence.js.map